> ## Documentation Index
> Fetch the complete documentation index at: https://dev.moonpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sell transactions

> Returns an array of successful Sell transactions which fulfill criteria supplied in the query parameters. Each entry in the array is a separate transaction object. Transactions will be listed from newest to oldest. This call will return an error if `customerId` is not supplied in the query parameters.



## OpenAPI

````yaml GET /v3/sell_transactions
openapi: 3.0.0
info:
  title: Server to server API
  version: 1.0.0
servers:
  - url: https://api.moonpay.com
security: []
tags:
  - name: Buy transactions
  - name: Customers
  - name: Sell transactions
paths:
  /v3/sell_transactions:
    get:
      tags:
        - Sell transactions
      summary: List Sell transactions
      description: >-
        Returns an array of successful Sell transactions which fulfill criteria
        supplied in the query parameters. Each entry in the array is a separate
        transaction object. Transactions will be listed from newest to oldest.
        This call will return an error if `customerId` is not supplied in the
        query parameters.
      parameters:
        - name: query
          in: query
          style: form
          explode: true
          required: true
          schema:
            type: object
            properties:
              externalTransactionId:
                type: string
                example: '123'
                description: An identifier associated with a transaction, provided by you.
              customerId:
                type: string
                example: '123'
                description: Unique identifier for a customer.
              externalCustomerId:
                type: string
                example: '123'
                description: >-
                  An identifier associated with a customer, provided by you.
                  `customerId` filter takes precedence over
                  `externalCustomerId`.
              startDate:
                type: string
                example: '2023-07-01'
                description: >-
                  The earliest date on which transactions should have been made.
                  Format is YYYY-MM-DD.
              endDate:
                type: string
                example: '2023-07-31'
                description: >-
                  The most recent date on which transactions should have been
                  made. Format is YYYY-MM-DD.
              limit:
                type: integer
                example: 20
                description: >-
                  A positive integer representing the maximum number of
                  transaction objects to be returned. Default is <span
                  class="value">10</span>, minimum is <span
                  class="value">1</span> and maximum is <span
                  class="value">50</span>.
              offset:
                type: integer
                example: 1
                description: >-
                  A positive integer representing the number of transaction
                  objects to skip before returning the list. An offset of <span
                  class="value">1</span> means the list will start with the
                  second-newest transaction.
      responses:
        '200':
          description: Successful response — an array of Sell transactions, newest first.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SellTransaction'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: A descriptive error message.
                  type:
                    type: string
                    description: An error type.
      security:
        - apiKey: []
components:
  schemas:
    SellTransaction:
      type: object
      properties:
        id:
          type: string
          example: 9020fd02-42ac-497f-8b5f-41fdf4dd0b1d
          description: Unique identifier for the object.
        createdAt:
          type: string
          example: '2024-02-23T00:58:26.577Z'
          description: >-
            Time at which the object was created. Returned as an ISO 8601
            string.
        updatedAt:
          type: string
          example: '2024-02-23T00:58:26.577Z'
          description: >-
            Time at which the object was last updated. Returned as an ISO 8601
            string.
        quoteExpiresAt:
          type: string
          nullable: true
          description: >-
            Time at which the sell quote expires. Returned as an ISO 8601
            string.
          example: '2024-02-23T01:28:26.577Z'
        baseCurrencyAmount:
          type: number
          example: 0.575
          description: A positive number representing how much the customer wants to sell.
        quoteCurrencyAmount:
          type: number
          example: 1521.11
          description: >-
            A positive number representing the amount of cryptocurrency the
            customer will receive. Set when the purchase of cryptocurrency has
            been executed.
        feeAmount:
          type: number
          example: 15.36
          description: A positive number representing the fee for the transaction.
        extraFeeAmount:
          type: number
          example: 0
          description: A positive number representing your extra fee for the transaction.
        status:
          type: string
          example: completed
          description: The transaction's status.
          enum:
            - waitingForDeposit
            - pending
            - failed
            - completed
        failureReason:
          type: string
          nullable: true
          description: >-
            The transaction's failure reason. Set when transaction's status is
            failed.
          example: null
        refundWalletAddress:
          type: string
          description: >-
            A wallet address at which the customer can receive cryptocurrency.
            In case we cannot process the sale of the customer's cryptocurrency,
            we will return the cryptocurrency to this wallet address. Might be
            empty
          example: ''
        depositHash:
          type: string
          nullable: true
          description: >-
            The cryptocurrency transaction identifier representing the transfer
            from the customer's wallet to MoonPay's wallet. Set when the deposit
            has been executed and received.
          example: '0x0e13c1c9d8b542a1888e63e6d5871a2199893a0f2851c9353120b7e18fce1802'
        widgetRedirectUrl:
          type: string
          nullable: true
          description: >-
            An optional URL used in a widget implementation. It is passed to us
            by you in the query parameters, and we include it as a link on the
            transaction tracker page.
          example: null
        payoutMethod:
          type: string
          example: credit_debit_card
          description: The transaction's payout method.
          enum:
            - ach_bank_transfer
            - credit_debit_card
            - paypal
            - gbp_bank_transfer
            - sepa_bank_transfer
        eurRate:
          type: number
          description: >-
            The exchange rate between the transaction's base currency and Euro
            at the time of the transaction.
          example: 1
        usdRate:
          type: number
          description: >-
            The exchange rate between the transaction's base currency and US
            Dollar at the time of the transaction.
          example: 1.08193
        gbpRate:
          type: number
          description: >-
            The exchange rate between the transaction's base currency and
            British Pound at the time of the transaction.
          example: 0.85501
        quoteCurrencyId:
          type: string
          example: 71435a8d-211c-4664-a59e-2a5361a6c5a7
          description: The identifier of the fiat the customer wants to get.
        quoteCurrency:
          $ref: '#/components/schemas/FiatCurrency'
        baseCurrencyId:
          type: string
          example: 8d305f63-1fd7-4e01-a220-8445e591aec4
          description: The identifier of the crypto currency the customer wants to sell.
        baseCurrency:
          $ref: '#/components/schemas/CryptoCurrency'
        customerId:
          type: string
          example: 3b97352d-a9c2-4786-afe7-e7d74e0a8ad7
          description: The identifier of the customer the transaction is associated with.
        bankAccountId:
          type: string
          nullable: true
          example: ee0e649f-a072-4cdb-96ce-a1ea393eac1e
          description: The identifier of the bank account used for this transaction.
        externalCustomerId:
          type: string
          nullable: true
          example: null
          description: An identifier associated with the customer, provided by you.
        externalTransactionId:
          type: string
          nullable: true
          example: null
          description: An identifier associated with the transaction, provided by you.
    FiatCurrency:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the currency.
          example: 6f424585-8936-4eb1-b01e-443fb306d1f5
        createdAt:
          type: string
          description: >-
            Time at which the object was created. Returned as an ISO 8601
            string.
          example: '2019-05-17T18:24:45.206Z'
        updatedAt:
          type: string
          description: >-
            Time at which the object was last updated. Returned as an ISO 8601
            string.
          example: '2019-05-17T18:24:45.206Z'
        type:
          type: string
          enum:
            - fiat
          description: Always `fiat`
          example: fiat
        name:
          type: string
          description: The currency's name.
          example: Pound Sterling
        code:
          type: string
          description: The currency's code.
          example: gbp
        precision:
          type: number
          description: The currency's precision (number of digits after decimal point).
          example: 2
        minBuyAmount:
          type: number
          nullable: true
          description: >-
            Represents the minimum transaction buy amount when using this
            currency as a base currency.
          example: 30
        maxBuyAmount:
          type: number
          nullable: true
          description: >-
            Represents the maximum transaction buy amount when using this
            currency as a base currency.
          example: 9000
        isSellSupported:
          type: boolean
          description: Whether sales for this currency are supported.
          example: true
    CryptoCurrency:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the currency.
          example: aaefa32f-161b-42c8-8115-debcbf3d6a2d
        createdAt:
          type: string
          description: >-
            Time at which the object was created. Returned as an ISO 8601
            string.
          example: '2019-05-17T18:24:45.206Z'
        updatedAt:
          type: string
          description: >-
            Time at which the object was last updated. Returned as an ISO 8601
            string.
          example: '2019-05-17T18:24:45.206Z'
        type:
          type: string
          enum:
            - crypto
          description: Always `crypto`
          example: crypto
        name:
          type: string
          description: The currency's name.
          example: USD Coin (ERC-20)
        code:
          type: string
          description: The currency's code.
          example: usdc
        precision:
          type: number
          description: The currency's precision (number of digits after decimal point).
          example: 2
        minBuyAmount:
          type: number
          nullable: true
          description: Represents the minimum amount of cryptocurrency you can buy.
          example: 30
        maxBuyAmount:
          type: number
          nullable: true
          description: Represents the maximum amount of cryptocurrency you can buy.
          example: 1000
        minSellAmount:
          type: number
          nullable: true
          description: The minimum amount of cryptocurrency you can sell.
          example: 15
        maxSellAmount:
          type: number
          nullable: true
          description: The maximum amount of cryptocurrency you can sell.
          example: 100000
        addressRegex:
          type: string
          description: >-
            A regular expression which you can test against your end user's
            wallet addresses.
          example: ^(0x)[0-9A-Fa-f]{40}$
        testnetAddressRegex:
          type: string
          description: >-
            A regular expression which you can test against your end user's
            testnet wallet addresses.
          example: ^(0x)[0-9A-Fa-f]{40}$
        supportsAddressTag:
          type: boolean
          description: Whether the currency supports address tags.
          example: false
        addressTagRegex:
          type: string
          nullable: true
          description: >-
            A regular expression which you can test against a wallet address
            tag. Defined only if the currency supports address tags.
          example: null
        supportsTestMode:
          type: boolean
          description: Whether the currency supports test mode.
          example: true
        isSuspended:
          type: boolean
          description: >-
            Whether purchases for this currency are suspended. If the currency
            is suspended, exchange rates may not be available and it is not
            possible to create a transaction with this currency.
          example: false
        isSupportedInUs:
          type: boolean
          description: Whether purchases for this currency are supported in the US.
          example: true
        isSellSupported:
          type: boolean
          description: Whether sales for this currency are supported.
          example: true
        notAllowedUSStates:
          type: array
          items:
            type: string
            enum:
              - AL
              - AK
              - AZ
              - AR
              - AS
              - CA
              - CO
              - CT
              - DC
              - DE
              - FL
              - GA
              - GU
              - HI
              - ID
              - IL
              - IN
              - IA
              - KS
              - KY
              - LA
              - MA
              - MD
              - ME
              - MI
              - MN
              - MO
              - MP
              - MS
              - MT
              - NE
              - NH
              - NV
              - NH
              - NJ
              - NM
              - NY
              - NC
              - ND
              - OH
              - OK
              - OR
              - PA
              - PR
              - RI
              - SC
              - SD
              - TN
              - TX
              - TT
              - UT
              - VT
              - VA
              - VI
              - WA
              - WV
              - WI
              - WY
          description: >-
            A list with all the US states for this currency that are not
            supported.
          example:
            - LA
            - VI
        notAllowedCountries:
          type: array
          items:
            type: string
          description: >-
            A list with all the ISO 3166-1 alpha-2 country codes for this
            currency that are not supported.
          example:
            - CA
        metadata:
          type: object
          description: Additional metadata for the currency.
          properties:
            contractAddress:
              type: string
              nullable: true
              description: >-
                Unique contract address where the token smart contract is
                hosted.
              example: '0x0000000000000000000000000000000000000000'
            chainId:
              type: string
              nullable: true
              description: ID used to identify different EVM compatible chains.
              example: '1'
            networkCode:
              type: string
              description: Name of the cryptocurrency
              example: ethereum
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````